-- ----------------------------------------------------------------------------
goalFixMirror.mSteps = 
{
	{ action = "click", object = objectCarMirrorBackground, selection = objectHoCarMirrorGroup },
	{ action = "solve", layout = layoutCarMirror },
}
-- ----------------------------------------------------------------------------
function goalFixMirror:onSolveFinish(layout)

	if (layout == layoutCarMirror) then
		self:achieved()
	end

end
-- ----------------------------------------------------------------------------
function goalFixMirror:onFinished()
	
	fireFlies:reset()
	layoutWoods1:show()
	play(movieSettings[kMovieMirror])
	
end